org.deidentifier.arx.gui.view.impl.common

## Class ComponentRiskProfile

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.ComponentRiskProfile

    public class ComponentRiskProfile
    extends java.lang.Object

A component for displaying risk profiles

Author:
  Fabian Prasser

### Nested Class Summary

Nested Classes
`static class` `ComponentRiskProfile.RiskProfile` A specific profile that can be added

### Constructor Summary

Constructors
Constructor and Description
`ComponentRiskProfile(org.eclipse.swt.widgets.Composite parent, Controller controller)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.swt.widgets.Composite` `getControl()` Returns the root composite
`void` `reset()` Resets the component
`void` `setOtherProfile(ComponentRiskProfile other)` Adds another synchronized profile
`void` `setProfiles(double[] lower, double[] upper, ComponentRiskProfile.RiskProfile... profiles)` Sets a set of profiles
`void` `setXAxisTitle(java.lang.String title)` Sets the x-axis title
`void` `setYAxisTitle(java.lang.String title)` Sets the y-axis title

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComponentRiskProfile

    public ComponentRiskProfile(org.eclipse.swt.widgets.Composite parent,
                                Controller controller)

Creates a new instance

Parameters:
  `parent` -
  `controller` -

### Method Detail

#### getControl

    public org.eclipse.swt.widgets.Composite getControl()

Returns the root composite

Returns:

#### reset

    public void reset()

Resets the component

#### setOtherProfile

    public void setOtherProfile(ComponentRiskProfile other)

Adds another synchronized profile

Parameters:
  `other` -

#### setProfiles

    public void setProfiles(double[] lower,
                            double[] upper,
                            ComponentRiskProfile.RiskProfile... profiles)

Sets a set of profiles

Parameters:
  `lower` - Lower bounds of x-buckets
  `upper` - Upper bounds of x-buckets
  `profiles` -

#### setXAxisTitle

    public void setXAxisTitle(java.lang.String title)

Sets the x-axis title

Parameters:
  `title` -

#### setYAxisTitle

    public void setYAxisTitle(java.lang.String title)

Sets the y-axis title

Parameters:
  `title` -